using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FieldsAndConstructors
{
    public class AfterYou
    {
        static AfterYou()
        {
            Console.WriteLine("Początek statycznego konstruktora klasy AfterYou.");
            Console.WriteLine("NoAfterYou.Value: " + NoAfterYou.Value);
            Console.WriteLine("Koniec statycznego konstruktora klasy AfterYou.");
        }

        public static int Value = 42; 
    }

    public class NoAfterYou
    {
        static NoAfterYou()
        {
            Console.WriteLine("Początek statycznego konstruktora klasy NoAfterYou.");
            Console.WriteLine("AfterYou.Value: " + AfterYou.Value);
            Console.WriteLine("Koniec statycznego konstruktora klasy NoAfterYou.");
        }

        public static int Value = 42;
    }

    public class Example22
    {
        public static void Start()
        {
            Console.WriteLine(AfterYou.Value);
        }
    }
}
